////////////////////////////////////////////////////////////////////////
//
// Display parameters for Argoneut data
//
// \author soderber@fnal.gov
////////////////////////////////////////////////////////////////////////
#ifndef ARGONEUTDRAWINGOPTIONS_H
#define ARGONEUTDRAWINGOPTIONS_H
#include <string>
#include <vector>
#ifndef __CINT__

#include "fhiclcpp/ParameterSet.h"
#include "art/Framework/Services/Registry/ActivityRegistry.h"
#include "art/Framework/Services/Registry/ServiceHandle.h"
#include "art/Framework/Services/Registry/ServiceMacros.h"
#include "nuevdb/EventDisplayBase/Reconfigurable.h"

namespace argoevd {
  class ArgoneutDrawingOptions : public evdb::Reconfigurable
  {
  public:
    explicit ArgoneutDrawingOptions(fhicl::ParameterSet const& pset, art::ActivityRegistry& reg);
    ~ArgoneutDrawingOptions();

    void reconfigure(fhicl::ParameterSet const& pset) ;
    
    std::string          fMINOSLabel;               ///< label for MINOS track collection
    std::string    	 fMatchLabel;               ///< label for T962/MINOS track associations
    std::string          fPaddlesLabel;             ///< label for Paddles collection
    bool                 fDrawPaddles;              ///< Draw Paddle information or not
    int                  fCoincidenceTime;          ///< Tolerance for Paddle time coincidences
  };

//  DECLARE_ART_SERVICE(ArgoneutDrawingOptions, LEGACY)
}//namespace
DECLARE_ART_SERVICE(argoevd::ArgoneutDrawingOptions, LEGACY)
#endif // __CINT__
#endif

